package com.ruoyi.web.work.mapper;


import java.util.List;

import com.ruoyi.web.work.domain.Visit;
import com.ruoyi.web.work.domain.dto.PatientCardDto;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author lsw
 * @date 2024-07-23
 */
public interface VisitMapper extends BaseMapper<Visit> {
    List<Visit> selectList(Visit visit);

    List<PatientCardDto> getPatientCardByNameOrDepartmentOrPhysician(@Param("patientName") String patientName, @Param("departmentName") String departmentName, @Param("physician") String physician);

    List<PatientCardDto> getAllDepartment();

    List<Visit> getMedicalRecord(@Param("beginTime") String beginTime, @Param("endTime") String endTime, @Param("patientId") Long patientId);
}
